import { ElementRef, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { AnimationHelperService } from '../animation-helper.service';
import { NgxBlockLoadingOptions } from '../ngx-block-loading.options';
import * as i0 from "@angular/core";
export declare class NgxBlockLoadingFullPageComponent implements OnChanges {
    private readonly options;
    readonly animationHelper: AnimationHelperService;
    template?: TemplateRef<any>;
    loaderOutTime: string;
    loadingClass: string;
    loadingFullPageClass: string;
    isLoading?: boolean;
    element?: ElementRef;
    loading: boolean;
    private onDestroy$;
    private get loadingStyle();
    private get notLoadingStyle();
    constructor(options: NgxBlockLoadingOptions, animationHelper: AnimationHelperService);
    ngOnChanges(changes: SimpleChanges): void;
    private updateLoading;
    private removeFullPageLoading;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxBlockLoadingFullPageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxBlockLoadingFullPageComponent, "ngx-block-loading-full-page", never, { "template": "template"; "loaderOutTime": "loaderOutTime"; "loadingClass": "loadingClass"; "loadingFullPageClass": "loadingFullPageClass"; "isLoading": "loading"; }, {}, never, never>;
}
