import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { BaseLoadingDirective } from './base-loading.directive';
import { NgxBlockLoadingDirective } from './ngx-block-loading.directive';
import * as i0 from "@angular/core";
export declare class NgxBlockRenderingDirective extends BaseLoadingDirective implements OnChanges {
    private _isRendering;
    set isRendering(value: boolean | '');
    get isRendering(): boolean | '';
    startOnInit: boolean;
    forceStart: boolean;
    loadingDirective?: NgxBlockLoadingDirective;
    static ngAcceptInputType_isRendering: boolean | '';
    get elementToLoad(): ElementRef | undefined;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxBlockRenderingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxBlockRenderingDirective, "[ngxBlockRendering]", never, { "isRendering": "ngxBlockRendering"; "startOnInit": "startOnInit"; "forceStart": "forceStart"; "loadingDirective": "loadingDirective"; }, {}, never>;
}
