import { ModuleWithProviders, Provider } from '@angular/core';
import { NgxBlockLoadingOptions } from './ngx-block-loading.options';
import * as i0 from "@angular/core";
import * as i1 from "./ngx-block-loading.directive";
import * as i2 from "./ngx-block-rendering.directive";
import * as i3 from "./ngx-block-loading-full-page/ngx-block-loading-full-page.component";
import * as i4 from "@angular/common";
export interface LoadingProviderOptions {
    provider?: Provider;
    config?: NgxBlockLoadingOptions;
}
export declare class NgxBlockLoadingModule {
    static forRoot(options?: LoadingProviderOptions): ModuleWithProviders<NgxBlockLoadingModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxBlockLoadingModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxBlockLoadingModule, [typeof i1.NgxBlockLoadingDirective, typeof i2.NgxBlockRenderingDirective, typeof i3.NgxBlockLoadingFullPageComponent], [typeof i4.CommonModule], [typeof i1.NgxBlockLoadingDirective, typeof i2.NgxBlockRenderingDirective, typeof i3.NgxBlockLoadingFullPageComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxBlockLoadingModule>;
}
